Irrlicht Engine: irr::video::IRenderTarget Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::video::IRenderTarget Struct Reference

`#include <IVideoDriver.h>`

List of all members.

## Public Member Functions
| IRenderTarget (E_RENDER_TARGET target, E_COLOR_PLANE colorMask=ECP_ALL, E_BLEND_FACTOR blendFuncSrc=EBF_ONE, E_BLEND_FACTOR blendFuncDst=EBF_ONE_MINUS_SRC_ALPHA, bool blendEnable=false)
| IRenderTarget (ITexture *texture, E_COLOR_PLANE colorMask=ECP_ALL, E_BLEND_FACTOR blendFuncSrc=EBF_ONE, E_BLEND_FACTOR blendFuncDst=EBF_ONE_MINUS_SRC_ALPHA, bool blendEnable=false)
## Public Attributes
bool | BlendEnable
E_BLEND_FACTOR | BlendFuncDst:4
E_BLEND_FACTOR | BlendFuncSrc:4
E_COLOR_PLANE | ColorMask:8
ITexture * | RenderTexture
E_RENDER_TARGET | TargetType:8

## Detailed Description

Definition at line 202 of file IVideoDriver.h.

## Constructor & Destructor Documentation

irr::video::IRenderTarget::IRenderTarget | ( | ITexture * | texture,
|  | E_COLOR_PLANE | colorMask = `ECP_ALL`,
|  | E_BLEND_FACTOR | blendFuncSrc = `EBF_ONE`,
|  | E_BLEND_FACTOR | blendFuncDst = `EBF_ONE_MINUS_SRC_ALPHA`,
|  | bool | blendEnable = `false` |
| ) |  |  | `[inline]`

Definition at line 204 of file IVideoDriver.h.

irr::video::IRenderTarget::IRenderTarget | ( | E_RENDER_TARGET | target,
|  | E_COLOR_PLANE | colorMask = `ECP_ALL`,
|  | E_BLEND_FACTOR | blendFuncSrc = `EBF_ONE`,
|  | E_BLEND_FACTOR | blendFuncDst = `EBF_ONE_MINUS_SRC_ALPHA`,
|  | bool | blendEnable = `false` |
| ) |  |  | `[inline]`

Definition at line 213 of file IVideoDriver.h.

## Member Data Documentation

bool irr::video::IRenderTarget::BlendEnable

Definition at line 227 of file IVideoDriver.h.

E_BLEND_FACTOR irr::video::IRenderTarget::BlendFuncDst

Definition at line 226 of file IVideoDriver.h.

E_BLEND_FACTOR irr::video::IRenderTarget::BlendFuncSrc

Definition at line 225 of file IVideoDriver.h.

E_COLOR_PLANE irr::video::IRenderTarget::ColorMask

Definition at line 224 of file IVideoDriver.h.

ITexture* irr::video::IRenderTarget::RenderTexture

Definition at line 222 of file IVideoDriver.h.

E_RENDER_TARGET irr::video::IRenderTarget::TargetType

Definition at line 223 of file IVideoDriver.h.

The documentation for this struct was generated from the following file:

- IVideoDriver.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)